Skip to main content
GET
/
api
/
v1
/
admin
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
moderation
/
reports
/
{report_id}
Get Report
curl --request GET \
  --url https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/reports/{report_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "created_at": "<string>",
      "hub_id": "<string>",
      "notes": "<string>",
      "reason_id": "<string>",
      "reportable_id": "<string>",
      "reportable_type": "<string>",
      "reporter_contact_id": "<string>",
      "resolution": "<string>",
      "resolved_at": "<string>",
      "resolved_by_user_id": "<string>",
      "status": "<string>",
      "team_id": "<string>",
      "updated_at": "<string>"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
report_id
string
required

Response

Successful Response

data
JsonApiResource[AdminModerationReportAttributes] · object
required
included
any[] | null
meta
Meta · object